Status: Feedback

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23528

Description

Tested in provider filter layer property on a postgis layer. When generating a where clause with Query Builder and hitting Test button the

message comes up and says 'The where clause returned N rows'. N in this case is the total number of rows in the table, not the number of

filtered rows. Then the filter itself works fine - I can see an expected number of rows in attribute table, etc.

I guess this was done to speed up this message, but it's quite handy and gets a bit confusing seeing the same number of rows (total)

returned when testing different queries.

Tested on master (e7c9400, python3, qt5), 2.16 and 2.14.

History

#1 - 2017-04-27 06:10 AM - Alexander Bruy

- Operating System deleted (Arch Linux)

- Category changed from Forms to Data Provider

#2 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
